from setuptools import find_packages, setup

setup(
    name="python-djangogql",
    version="1.0.0",
    description="A Django app to build graphql APIs",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/felipevisu/djangogql",
    author="Felipe Faria",
    author_email="felipevisu@gmail.com",
    license="MIT",
    classifiers=[
        "Development Status :: 5 - Production/Stable",
        "Intended Audience :: Developers",
        "Topic :: Software Development :: Libraries",
        "Programming Language :: Python :: 3",
        "Programming Language :: Python :: 3.7",
        "Programming Language :: Python :: 3.8",
        "Programming Language :: Python :: 3.9",
        "Programming Language :: Python :: 3.10",
        "Programming Language :: Python :: 3.11",
        "Programming Language :: Python :: Implementation :: PyPy",
        "Framework :: Django",
        "Framework :: Django :: 3.2",
        "Framework :: Django :: 4.1",
        "Framework :: Django :: 4.2",
    ],
    keywords="api graphql graphene django",
    packages=find_packages(exclude=["tests"]),
    install_requires=[
        "Django >= 3.2",
        "django-filter >= 23.2",
        "graphene >= 2.1.9, < 3",
        "graphql-core >= 2.3.2, < 3",
        "graphql-relay >= 2.0.1, < 3",
        "promise >= 2.3",
        "PyJWT >= 2.7.0",
    ],
    extras_require={"dev": ["twine >= 4.0.2"]},
    include_package_data=True,
    zip_safe=False,
    platforms="any",
)
